# Update an attribute list value

> Partially update an attribute list value using JSON Merge Patch.

`PATCH /rest/api/categories/attribute_list_values/{id}`

Updates the Attribute List Value resource.

Partially updates an attribute list value. The body is a [JSON Merge Patch](https://datatracker.ietf.org/doc/html/rfc7396) document - include only the fields you want to change.

## Headers

| Name                         | Type      | Required | Description                                                                                                                                       |
| ---------------------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Flowkiwi-Organization-Id` | `string`  | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.  |
| `X-Flowkiwi-Locale`          | `string`  | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used.                                  |
| `X-Flowkiwi-Locale-Fallback` | `boolean` | -        | Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used. |

## Path parameters

| Name | Type     | Required | Description                     |
| ---- | -------- | -------- | ------------------------------- |
| `id` | `string` | Yes      | Attribute List Value identifier |

## Request body

| Property    | Type                           | Required | Description                                         |
| ----------- | ------------------------------ | -------- | --------------------------------------------------- |
| `value`     | `string \| null`               | -        | The value of the attribute.                         |
| `attribute` | `string \| null`               | -        | The `Attribute` to which this value belongs.        |
| `products`  | `Product.ProductCreateInput[]` | -        | A list of `Product` IRIs associated with the value. |

## Response

**200** - Attribute List Value resource updated

| Property    | Type             | Required | Description                                                                     |
| ----------- | ---------------- | -------- | ------------------------------------------------------------------------------- |
| `@context`  | `object`         | -        |                                                                                 |
| `@id`       | `string`         | Yes      |                                                                                 |
| `@type`     | `string`         | Yes      |                                                                                 |
| `id`        | `string`         | -        | The resource's unique identifier (UUID).                                        |
| `value`     | `string \| null` | -        | **This property supports translations.**<br><br>The value of the attribute      |
| `attribute` | `string \| null` | Yes      | The `Attribute` to which this value belongs.                                    |
| `products`  | `string[]`       | -        | A list of `Product`, each one representing a product associated with the value. |
| `createdAt` | `string`         | -        | The date and time when the resource was created (ISO 8601 format).              |
| `updatedAt` | `string`         | -        | The date and time when the resource was last modified (ISO 8601 format).        |

## Errors

**400** - Invalid input

| Property   | Type             | Required | Description                                                                                                                          |
| ---------- | ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context` | `object`         | -        |                                                                                                                                      |
| `@id`      | `string`         | Yes      |                                                                                                                                      |
| `@type`    | `string`         | Yes      |                                                                                                                                      |
| `title`    | `string \| null` | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`   | `string \| null` | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`   | `number \| null` | -        |                                                                                                                                      |
| `instance` | `string \| null` | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`     | `string`         | -        | A URI reference that identifies the problem type                                                                                     |

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

**404** - Not found

| Property   | Type             | Required | Description                                                                                                                          |
| ---------- | ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context` | `object`         | -        |                                                                                                                                      |
| `@id`      | `string`         | Yes      |                                                                                                                                      |
| `@type`    | `string`         | Yes      |                                                                                                                                      |
| `title`    | `string \| null` | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`   | `string \| null` | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`   | `number \| null` | -        |                                                                                                                                      |
| `instance` | `string \| null` | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`     | `string`         | -        | A URI reference that identifies the problem type                                                                                     |

**422** - An error occurred

| Property     | Type             | Required | Description |
| ------------ | ---------------- | -------- | ----------- |
| `@context`   | `object`         | -        |             |
| `@id`        | `string`         | Yes      |             |
| `@type`      | `string`         | Yes      |             |
| `status`     | `integer`        | -        |             |
| `violations` | `object[]`       | -        |             |
| `detail`     | `string`         | -        |             |
| `type`       | `string`         | -        |             |
| `title`      | `string \| null` | -        |             |
| `instance`   | `string \| null` | -        |             |

## Examples

### Example request

```bash
curl -X PATCH 'https://<tenant>.product-management.flowkiwi.net/rest/api/categories/attribute_list_values/<product_id>' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json' \
  -H 'Content-Type: application/merge-patch+json' \
  -d '{
  "value": "Crimson"
}'
```

### Example response

```json
{
  "@context": "/contexts/Attribute%20List%20Value",
  "@id": "/rest/api/categories/attribute_list_values/019afd20-5e6f-7081-8a92-4d5e6f708192",
  "@type": "Attribute List Value",
  "id": "019afd20-5e6f-7081-8a92-4d5e6f708192",
  "value": "Red",
  "attribute": "/rest/api/categories/attribute_lists/019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
  "products": [
    "/rest/api/products/019af93e-420e-79f8-800b-6680f03dce20"
  ],
  "createdAt": "2026-01-15T09:30:00+00:00",
  "updatedAt": "2026-02-03T14:45:12+00:00"
}
```
